// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.5.1
// - protoc             v3.19.4
// source: generate/protobuf/permission.proto

package permission

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.64.0 or later.
const _ = grpc.SupportPackageIsVersion9

const (
	TokenService_NewToken_FullMethodName                    = "/permission.TokenService/NewToken"
	TokenService_RefreshToken_FullMethodName                = "/permission.TokenService/RefreshToken"
	TokenService_CancelToken_FullMethodName                 = "/permission.TokenService/CancelToken"
	TokenService_ValidationToken_FullMethodName             = "/permission.TokenService/ValidationToken"
	TokenService_CancelTokens_FullMethodName                = "/permission.TokenService/CancelTokens"
	TokenService_CancelTokenByDeviceID_FullMethodName       = "/permission.TokenService/CancelTokenByDeviceID"
	TokenService_GetUserTokensByDeviceID_FullMethodName     = "/permission.TokenService/GetUserTokensByDeviceID"
	TokenService_GetUserTokensByUID_FullMethodName          = "/permission.TokenService/GetUserTokensByUID"
	TokenService_GetSystemClaimByAccessToken_FullMethodName = "/permission.TokenService/GetSystemClaimByAccessToken"
)

// TokenServiceClient is the client API for TokenService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
//
// 跟 Token 相關的大小事，這次只回應錯誤，以及結果，不統一規範
// 錯誤碼應該在 Biz GW 在做回應，另外我這邊取名字比較通用，
// access_token -> token , refresh_token -> one_time_token
type TokenServiceClient interface {
	// NewToken 建立一個新的 Token，例如：AccessToken
	NewToken(ctx context.Context, in *AuthorizationReq, opts ...grpc.CallOption) (*TokenResp, error)
	// RefreshToken 更新目前的token 以及裡面包含的一次性 Token
	RefreshToken(ctx context.Context, in *RefreshTokenReq, opts ...grpc.CallOption) (*RefreshTokenResp, error)
	// CancelToken 取消 Token，也包含他裡面的 One Time Toke
	CancelToken(ctx context.Context, in *CancelTokenReq, opts ...grpc.CallOption) (*OKResp, error)
	// ValidationToken 驗證這個 Token 有沒有效
	ValidationToken(ctx context.Context, in *ValidationTokenReq, opts ...grpc.CallOption) (*ValidationTokenResp, error)
	// CancelTokens 取消 Token 從UID 視角，以及 token id 視角出發， UID 登出，底下所有 Device ID 也要登出， Token ID 登出， 所有 UID + Device 都要登出
	CancelTokens(ctx context.Context, in *DoTokenByUIDReq, opts ...grpc.CallOption) (*OKResp, error)
	// CancelTokenByDeviceID 取消 Token， 從 Device 視角出發，可以選，登出這個Device 下所有 token ，登出這個Device 下指定token
	CancelTokenByDeviceID(ctx context.Context, in *DoTokenByDeviceIDReq, opts ...grpc.CallOption) (*OKResp, error)
	// GetUserTokensByDeviceID 取得目前所對應的 DeviceID 所存在的 Tokens
	GetUserTokensByDeviceID(ctx context.Context, in *DoTokenByDeviceIDReq, opts ...grpc.CallOption) (*Tokens, error)
	// GetUserTokensByUID 取得目前所對應的 UID 所存在的 Tokens
	GetUserTokensByUID(ctx context.Context, in *QueryTokenByUIDReq, opts ...grpc.CallOption) (*Tokens, error)
	// 取得 Claim
	GetSystemClaimByAccessToken(ctx context.Context, in *GetSystemClaimReq, opts ...grpc.CallOption) (*GetSystemClaimResp, error)
}

type tokenServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewTokenServiceClient(cc grpc.ClientConnInterface) TokenServiceClient {
	return &tokenServiceClient{cc}
}

func (c *tokenServiceClient) NewToken(ctx context.Context, in *AuthorizationReq, opts ...grpc.CallOption) (*TokenResp, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(TokenResp)
	err := c.cc.Invoke(ctx, TokenService_NewToken_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *tokenServiceClient) RefreshToken(ctx context.Context, in *RefreshTokenReq, opts ...grpc.CallOption) (*RefreshTokenResp, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(RefreshTokenResp)
	err := c.cc.Invoke(ctx, TokenService_RefreshToken_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *tokenServiceClient) CancelToken(ctx context.Context, in *CancelTokenReq, opts ...grpc.CallOption) (*OKResp, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(OKResp)
	err := c.cc.Invoke(ctx, TokenService_CancelToken_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *tokenServiceClient) ValidationToken(ctx context.Context, in *ValidationTokenReq, opts ...grpc.CallOption) (*ValidationTokenResp, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(ValidationTokenResp)
	err := c.cc.Invoke(ctx, TokenService_ValidationToken_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *tokenServiceClient) CancelTokens(ctx context.Context, in *DoTokenByUIDReq, opts ...grpc.CallOption) (*OKResp, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(OKResp)
	err := c.cc.Invoke(ctx, TokenService_CancelTokens_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *tokenServiceClient) CancelTokenByDeviceID(ctx context.Context, in *DoTokenByDeviceIDReq, opts ...grpc.CallOption) (*OKResp, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(OKResp)
	err := c.cc.Invoke(ctx, TokenService_CancelTokenByDeviceID_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *tokenServiceClient) GetUserTokensByDeviceID(ctx context.Context, in *DoTokenByDeviceIDReq, opts ...grpc.CallOption) (*Tokens, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(Tokens)
	err := c.cc.Invoke(ctx, TokenService_GetUserTokensByDeviceID_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *tokenServiceClient) GetUserTokensByUID(ctx context.Context, in *QueryTokenByUIDReq, opts ...grpc.CallOption) (*Tokens, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(Tokens)
	err := c.cc.Invoke(ctx, TokenService_GetUserTokensByUID_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *tokenServiceClient) GetSystemClaimByAccessToken(ctx context.Context, in *GetSystemClaimReq, opts ...grpc.CallOption) (*GetSystemClaimResp, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(GetSystemClaimResp)
	err := c.cc.Invoke(ctx, TokenService_GetSystemClaimByAccessToken_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// TokenServiceServer is the server API for TokenService service.
// All implementations must embed UnimplementedTokenServiceServer
// for forward compatibility.
//
// 跟 Token 相關的大小事，這次只回應錯誤，以及結果，不統一規範
// 錯誤碼應該在 Biz GW 在做回應，另外我這邊取名字比較通用，
// access_token -> token , refresh_token -> one_time_token
type TokenServiceServer interface {
	// NewToken 建立一個新的 Token，例如：AccessToken
	NewToken(context.Context, *AuthorizationReq) (*TokenResp, error)
	// RefreshToken 更新目前的token 以及裡面包含的一次性 Token
	RefreshToken(context.Context, *RefreshTokenReq) (*RefreshTokenResp, error)
	// CancelToken 取消 Token，也包含他裡面的 One Time Toke
	CancelToken(context.Context, *CancelTokenReq) (*OKResp, error)
	// ValidationToken 驗證這個 Token 有沒有效
	ValidationToken(context.Context, *ValidationTokenReq) (*ValidationTokenResp, error)
	// CancelTokens 取消 Token 從UID 視角，以及 token id 視角出發， UID 登出，底下所有 Device ID 也要登出， Token ID 登出， 所有 UID + Device 都要登出
	CancelTokens(context.Context, *DoTokenByUIDReq) (*OKResp, error)
	// CancelTokenByDeviceID 取消 Token， 從 Device 視角出發，可以選，登出這個Device 下所有 token ，登出這個Device 下指定token
	CancelTokenByDeviceID(context.Context, *DoTokenByDeviceIDReq) (*OKResp, error)
	// GetUserTokensByDeviceID 取得目前所對應的 DeviceID 所存在的 Tokens
	GetUserTokensByDeviceID(context.Context, *DoTokenByDeviceIDReq) (*Tokens, error)
	// GetUserTokensByUID 取得目前所對應的 UID 所存在的 Tokens
	GetUserTokensByUID(context.Context, *QueryTokenByUIDReq) (*Tokens, error)
	// 取得 Claim
	GetSystemClaimByAccessToken(context.Context, *GetSystemClaimReq) (*GetSystemClaimResp, error)
	mustEmbedUnimplementedTokenServiceServer()
}

// UnimplementedTokenServiceServer must be embedded to have
// forward compatible implementations.
//
// NOTE: this should be embedded by value instead of pointer to avoid a nil
// pointer dereference when methods are called.
type UnimplementedTokenServiceServer struct{}

func (UnimplementedTokenServiceServer) NewToken(context.Context, *AuthorizationReq) (*TokenResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewToken not implemented")
}
func (UnimplementedTokenServiceServer) RefreshToken(context.Context, *RefreshTokenReq) (*RefreshTokenResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RefreshToken not implemented")
}
func (UnimplementedTokenServiceServer) CancelToken(context.Context, *CancelTokenReq) (*OKResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelToken not implemented")
}
func (UnimplementedTokenServiceServer) ValidationToken(context.Context, *ValidationTokenReq) (*ValidationTokenResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidationToken not implemented")
}
func (UnimplementedTokenServiceServer) CancelTokens(context.Context, *DoTokenByUIDReq) (*OKResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelTokens not implemented")
}
func (UnimplementedTokenServiceServer) CancelTokenByDeviceID(context.Context, *DoTokenByDeviceIDReq) (*OKResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelTokenByDeviceID not implemented")
}
func (UnimplementedTokenServiceServer) GetUserTokensByDeviceID(context.Context, *DoTokenByDeviceIDReq) (*Tokens, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserTokensByDeviceID not implemented")
}
func (UnimplementedTokenServiceServer) GetUserTokensByUID(context.Context, *QueryTokenByUIDReq) (*Tokens, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserTokensByUID not implemented")
}
func (UnimplementedTokenServiceServer) GetSystemClaimByAccessToken(context.Context, *GetSystemClaimReq) (*GetSystemClaimResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetSystemClaimByAccessToken not implemented")
}
func (UnimplementedTokenServiceServer) mustEmbedUnimplementedTokenServiceServer() {}
func (UnimplementedTokenServiceServer) testEmbeddedByValue()                      {}

// UnsafeTokenServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to TokenServiceServer will
// result in compilation errors.
type UnsafeTokenServiceServer interface {
	mustEmbedUnimplementedTokenServiceServer()
}

func RegisterTokenServiceServer(s grpc.ServiceRegistrar, srv TokenServiceServer) {
	// If the following call pancis, it indicates UnimplementedTokenServiceServer was
	// embedded by pointer and is nil.  This will cause panics if an
	// unimplemented method is ever invoked, so we test this at initialization
	// time to prevent it from happening at runtime later due to I/O.
	if t, ok := srv.(interface{ testEmbeddedByValue() }); ok {
		t.testEmbeddedByValue()
	}
	s.RegisterService(&TokenService_ServiceDesc, srv)
}

func _TokenService_NewToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthorizationReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).NewToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_NewToken_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).NewToken(ctx, req.(*AuthorizationReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _TokenService_RefreshToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RefreshTokenReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).RefreshToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_RefreshToken_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).RefreshToken(ctx, req.(*RefreshTokenReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _TokenService_CancelToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelTokenReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).CancelToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_CancelToken_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).CancelToken(ctx, req.(*CancelTokenReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _TokenService_ValidationToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidationTokenReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).ValidationToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_ValidationToken_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).ValidationToken(ctx, req.(*ValidationTokenReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _TokenService_CancelTokens_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DoTokenByUIDReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).CancelTokens(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_CancelTokens_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).CancelTokens(ctx, req.(*DoTokenByUIDReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _TokenService_CancelTokenByDeviceID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DoTokenByDeviceIDReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).CancelTokenByDeviceID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_CancelTokenByDeviceID_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).CancelTokenByDeviceID(ctx, req.(*DoTokenByDeviceIDReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _TokenService_GetUserTokensByDeviceID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DoTokenByDeviceIDReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).GetUserTokensByDeviceID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_GetUserTokensByDeviceID_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).GetUserTokensByDeviceID(ctx, req.(*DoTokenByDeviceIDReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _TokenService_GetUserTokensByUID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryTokenByUIDReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).GetUserTokensByUID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_GetUserTokensByUID_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).GetUserTokensByUID(ctx, req.(*QueryTokenByUIDReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _TokenService_GetSystemClaimByAccessToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSystemClaimReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TokenServiceServer).GetSystemClaimByAccessToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: TokenService_GetSystemClaimByAccessToken_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TokenServiceServer).GetSystemClaimByAccessToken(ctx, req.(*GetSystemClaimReq))
	}
	return interceptor(ctx, in, info, handler)
}

// TokenService_ServiceDesc is the grpc.ServiceDesc for TokenService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var TokenService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "permission.TokenService",
	HandlerType: (*TokenServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "NewToken",
			Handler:    _TokenService_NewToken_Handler,
		},
		{
			MethodName: "RefreshToken",
			Handler:    _TokenService_RefreshToken_Handler,
		},
		{
			MethodName: "CancelToken",
			Handler:    _TokenService_CancelToken_Handler,
		},
		{
			MethodName: "ValidationToken",
			Handler:    _TokenService_ValidationToken_Handler,
		},
		{
			MethodName: "CancelTokens",
			Handler:    _TokenService_CancelTokens_Handler,
		},
		{
			MethodName: "CancelTokenByDeviceID",
			Handler:    _TokenService_CancelTokenByDeviceID_Handler,
		},
		{
			MethodName: "GetUserTokensByDeviceID",
			Handler:    _TokenService_GetUserTokensByDeviceID_Handler,
		},
		{
			MethodName: "GetUserTokensByUID",
			Handler:    _TokenService_GetUserTokensByUID_Handler,
		},
		{
			MethodName: "GetSystemClaimByAccessToken",
			Handler:    _TokenService_GetSystemClaimByAccessToken_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "generate/protobuf/permission.proto",
}

// PermissionServiceClient is the client API for PermissionService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
//
// permission / role / role permission 相關
type PermissionServiceClient interface {
}

type permissionServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewPermissionServiceClient(cc grpc.ClientConnInterface) PermissionServiceClient {
	return &permissionServiceClient{cc}
}

// PermissionServiceServer is the server API for PermissionService service.
// All implementations must embed UnimplementedPermissionServiceServer
// for forward compatibility.
//
// permission / role / role permission 相關
type PermissionServiceServer interface {
	mustEmbedUnimplementedPermissionServiceServer()
}

// UnimplementedPermissionServiceServer must be embedded to have
// forward compatible implementations.
//
// NOTE: this should be embedded by value instead of pointer to avoid a nil
// pointer dereference when methods are called.
type UnimplementedPermissionServiceServer struct{}

func (UnimplementedPermissionServiceServer) mustEmbedUnimplementedPermissionServiceServer() {}
func (UnimplementedPermissionServiceServer) testEmbeddedByValue()                           {}

// UnsafePermissionServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to PermissionServiceServer will
// result in compilation errors.
type UnsafePermissionServiceServer interface {
	mustEmbedUnimplementedPermissionServiceServer()
}

func RegisterPermissionServiceServer(s grpc.ServiceRegistrar, srv PermissionServiceServer) {
	// If the following call pancis, it indicates UnimplementedPermissionServiceServer was
	// embedded by pointer and is nil.  This will cause panics if an
	// unimplemented method is ever invoked, so we test this at initialization
	// time to prevent it from happening at runtime later due to I/O.
	if t, ok := srv.(interface{ testEmbeddedByValue() }); ok {
		t.testEmbeddedByValue()
	}
	s.RegisterService(&PermissionService_ServiceDesc, srv)
}

// PermissionService_ServiceDesc is the grpc.ServiceDesc for PermissionService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var PermissionService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "permission.PermissionService",
	HandlerType: (*PermissionServiceServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams:     []grpc.StreamDesc{},
	Metadata:    "generate/protobuf/permission.proto",
}
